Subject: Re: bug#47699: [PATCH] Improve completion-list-mode-map

From: Gregory Heytings <[email-masked]>
Date: Sun, 11 Apr 2021 10:14:14 +0000

>>> (And how does one switch back without closing the window that shows 
>>> completions?)
>>
>> C-x o.  Perhaps it would make sense to bind "o" for this, too.  And/or 
>> "Q".  WDYT?
>
> 'o' could be a good idea, IMO.
>

Okay.

>
> But I'm puzzled by the lack of symmetry:
>

If you agreed with it, I would be pleased to add symmetry there.  I use 
M-c for both purposes locally:

(define-key minibuffer-local-map (kbd "M-c") 'switch-to-completions) 
(define-key completion-list-mode-map (kbd "M-c") 'other-window)

>
> why bind M-v when "C-x o" is available.
>

Because M-v does something very different: it opens the *Completions*. 
So it's the equivalent of TAB TAB C-- C-x o.

>
> But I guess that ship sailed long ago.
>

Yes, M-v was already present in Emacs 20.